<template>
	<CustomScrollBar style="max-height: 925px">
		<template v-slot:scrollBarContent>
			<v-card style="background-color: #f6f9fb">
				<RightNavigationProfile />
				<v-divider></v-divider>
				<v-card-text>
					<FriendRequest section-title="Friend Request" :items="friendRequest" />
				</v-card-text>
			</v-card>
		</template>
	</CustomScrollBar>
</template>

<script>
import CustomScrollBar from './CustomScrollBar.vue';
import FriendRequest from './FriendRequest.vue';
import RightNavigationProfile from './RightNavigationProfile.vue';
export default {
	name: 'RightNavigation',
	components: {
		RightNavigationProfile,
		FriendRequest,
		CustomScrollBar,
	},
	data() {
		return {
			friendRequest: [],
		};
	},
	created() {
		this.getFriendRequest();
	},
	methods: {
		async getFriendRequest() {
			const { data } = await this.$axios.get('https://randomuser.me/api/?results=5');
			this.friendRequest = data.results;
		},
	},
};
</script>
